Chapter 1 - Installation

Chapter 1 : Installation

PerkinElmer Life Sciences imaging systems are designed to provide precision, high quality digital images using an intuitive software environment within the Windows operating system.

What's in the box

When you unpack your system you will find the following items:

Camera Head & camera head cable

Incorporates the light sensitive charge coupled device (CCD) with or without cooling, head amplifier and cabling to transfer data to the camera control electronics (DDE). It is critical that you refer to the Anti-static Precautions section of this manual before any work is performed with your camera head.

Peltier cable (cooled cameras only)

Cooled camera heads have an additional cable to power the thermoelectric Peltier cooler.

Camera Control Electronics & power cable

Referred to as the Digital Driver Electronics (DDE) unit. This unit drives the camera head, processes the output signal and provides the communication link between the camera and the computer.

Interface Link Card(s) and cable(s)

The interface link between the computer motherboard/bus, and the DDE. There are one or two cards mounted inside the computer case depending on your camera system. These are AT and PCI interface cards with their appropriate cables to connect the card to the DDE.

Do not remove the interface(s) card from the protective bag until required for installation.

PixCel Software

There are two 3.5" floppy disks containing the PixCel software. The digital imaging system you have purchased provides you with the highest quality images and a gateway to many application solutions provided by PerkinElmer and other vendors. It provides you with the graphical interface to the camera for control, acquisition, display and storage of images. It can also act as an interface to applications software such as Optimas™, Visilog, Image Pro™, Grams32, Spectacle or PerkinElmers's Prisma™ Spectroscopy product. We also provide drivers for some third party software such as Optimas, Image Pro+.

Documentation

A hardware manual appropriate to your particular imaging system together with a PixCel software manual.

Please retain the packing material where possible in the unlikely event you need to return any of the items for repair and please note the Anti-static Precautions

WARNING - Anti-static precautions

Light sensitive components known as Charge Coupled Devices (CCDs), including the one in your camera head, and many electronic components and assemblies can be damaged or destroyed by the electric charge on most everyday objects.

The camera head or the camera head cable has a special grounding plug fitted which MUST remain inserted whenever the head is unplugged from the control unit. When connecting or disconnecting the head from the control unit, the power switch must be in the OFF position and the power cable must be connected to 'earth'.

To ensure you are grounded to the DDE control unit, place one hand on any bare metal part on the DDE rear panel while connecting or disconnecting the CCD camera head from the cable or control unit. This will minimize the possibility of damaging or destroying the CCD.

Please remember that the CCD is not warrantied against static damage so take great care to avoid it.

The interface card is supplied in a special protective (conductive) bag where it should remain until required for installation. When handling the interface card follow the same precautions as described above.

Minimum computer system requirements

The performance of your camera system depends greatly on the configuration and specification of your PC. The following is the MINIMUM specification required for successful operation:

  • 64 MBytes of RAM (more for larger CCDs and-or many images to be held simultaneously in memory.)

  • IBM or 100% compatible 233 MHz or better Pentium II PC.

  • Hard disk with at least 100 Mbytes of free space (a lot more if you are storing images on this disk).

  • Microsoft Windows 95/NT/2000 installed.

  • Microsoft Internet Explorer 4.0 or later installed.

  • 3.5" Floppy disk drive.

  • SVGA graphics card and monitor with at least 1024 x 768 resolution and 256 colours.

  • One vacant IBM-PC ISA type interface card slot for UltraPix SK and SI systems to accommodate the AT link card OR one vacant IBM-PC, ISA and one PCI slot type interface card slots to accommodate the AT link and PCI cards for the UltraPix FK, FE, FKI, MX and NeuroCam.

Installing the software

Before you install your software

If you are using a new PC with your system, it is strongly recommended you check your PC system is functioning correctly. This can be easily achieved by installing and running the Windows operating system. Simple diagnostic programs can also be run.

Please also ensure the correct procedure is followed in the appropriate Hardware manual, (which accompanied your system), for installation of the interface cards, DDE and camera head. Should you experience any problems please contact the technical Hotline service or your local distributor.

Software installation

To install your PixCel software proceed with the following instructions.

NOTE: When installing PixCel software updates, ensure that a copy of the PixCel.INI file is taken and saved on your C:\ drive or on a floppy disk before choosing uninstall in the Start/Settings/Control Panel/Add Remove programs file. This PixCel.INI file is essential for correct operation of the camera and failure to use the correct file may result in less than optimal performance or damage to the camera.

Using the uninstall program, ensure any previous copies of PixCel have been deleted, or are in a different folder from the one you are going to install this current version. Make sure you have copies of any images you want to keep.

Insert disk 1 into floppy drive A: (or B:)

Either from the Windows desktop, select Start/Run... and enter A:\setup (or B:\setup) into the 'Command Line:' box OR in the Start/Settings/Control panel, click on Add/Remove programs icon, select install button and follow the on screen instructions. At the end of the procedure you will be shown the following window.

This allows you to install the INI file (all versions), driver (Windows NT and 2000 only) and program settings (all versions). Click on Install in the "INI File Install" section to install the INI file on Disk 2 of your installation disk set. You may also browse for the source folder where you backed up you existing PixCel.INI file. Next, select the address of the AT link card and click on Install in the "NT/2000 Driver Install" section to install the NT/2000 driver. Don't worry if you do not have the address information, just select the default 0x150. Finally, select either fast-scan or slow-scan camera to match your camera and click on Set. Close this window by clicking on the cross in the top right-hand corner. This installer program is called Installer.EXE. The setup program will place it the folder with the PixCel executable. If you want to change settings later, just run Installer.EXE from Windows Explorer.

To start the program, click on the Start/Programs/PerkinElmer Software/PixCel menu, or refer to Microsoft help to create a PixCel shortcut icon.


Chapter 2 - Operating the software

Chapter 2 : Operating the software

Getting started

From Windows click on the 'Start' menu, move the cursor to select Programs/PerkinElmer Software and move the cursor to select PixCel.

The following is some of the terminology used in this manual and is designed to help you get the best from your software.

NOTE : Important tips or notes for special attention when using the software.

WARNING!!! : Attention should be paid to the information contained here. Information regarding misuse or carelessness is advised.

Keyboard combinations : A plus sign (+) used between key names indicates those keys must be pressed at the same time. For example 'Press Alt+F' means you press both the 'Alt' key and the 'F' key at the same time.

Using the mouse : 'click' - press and release the left mouse button, 'double click' - press and release button twice in quick succession, 'click and drag' - press button, hold whilst moving the mouse, then release.

Menu commands : These are referred to in the form Menu name/Menu command. For example 'Select File/New' this can either be executed by: Using the mouse to select first the 'File' menu and then the 'New' function from the menu, or Pressing the 'Alt' key and the underlined character in the name at the same time. ie: Alt+F, followed by n.

Quick tour of the PixCel software window

After starting the software the a window appears on your screen looking like this.

NOTE: The Software toolbar is a flexible dockable toolbar. It can be picked up and moved left, right, top or bottom, docked or left floating for your convenience. The Camera control tabs and View & navigation toolbar are also left or right dockable or can be floating. This window can be maximized (using the standard Windows functions, found in the top right hand corner of the screen) by clicking on the 'underline' in the top right hand corner of the menu to reduce application to the Windows bottom menu bar; click on the double screen to allow greater detail of the image to be observed, or click on the X to exit the application and return to the main Windows screen.

Using the 'Pull down' menu bar

The Main menu bar is located at the top left hand side of the screen. This is a static menu bar incorporating the standard Windows functions. The menu comprises a range of facilities which when clicked activates a 'pull down' list of further options. See Controls reference for a more detailed account of each facility. A tick mark where appropriate, indicates the option is initialised.

File Click on File or use Alt+f to access: New, Open, Save, Save As, Import, Export, Configure, Print, Print Preview, Print Setup, Recent files and Exit.

Edit Click on Edit or use Alt+e to access: Undo, Cut, Copy, Paste, Delete and Select all.

View Click on View or use Alt+v to access: Toolbars, Status bar, Mapping, Autoscale Prefs, Statistics, Lookup tables , Image, Plot, Histogram, Pixel values, User values, Rectangular Selection, Sequence images, Black Level Image and Flatfield image.

Acquire Click on Acquire or use Alt+q to access: Live Grab, Sequence Grab, Black Reference, Flat Field Reference.

A nalyse Click on Analyse or use Alt+a to access: Image analysis, Dark subtraction and Shade correction.

Hardware Click on Hardware or use Alt+w to access: Status, Initialise, Reoptimise.

Help Click on Help or use Alt+H to access: About PixCel..., Contents , System Info...

Using the Software toolbar

The Toolbar is located along the top left hand side of the screen. This is a dockable toolbar allowing it to be moved left, right, top or bottom, docked or left floating. It can also be 'switched off' and removed from the screen by accessing View/Toolbars.. option in the main menu. The toolbar comprises of a range of icons which are explained below in detail from left to right:

New file Select the New file icon to clear the image area to start a new image. Alternatively select from the main menu File/New or Ctrl+N.

Open file Select the Open file icon to open an existing image file held on disk. Alternatively select from the main menu File/Open or Ctrl+O.

When the Open dialogue box appears, select the image from the File name list and choose the OK button. If the image is not listed, then a search of the folders can be actioned by selecting the appropriate directory, file type and/or file name. Either double click the item or highlight the option and click the Open button to select.

NOTE: only a .apf or .opf files or Imager 1, 2 or GCI files which have been saved using the ‘Save file’ option can be opened with this method. All other files can be opened by using the Import facility.

Save file To Save an image in the software internal file format, select the Save file icon. Alternatively select from the main menu File/Save or Ctrl+S.

If saving for the first time, the Save As dialogue box, will appear allowing the user to select a directory in which to save the file, type a file name, and select a file type. Within a sequence the images can be saved as 'All' for the sequence as a whole, 'Current frame' for the image currently in view on the screen, or a particular frame or frames within a sequence. Select and check against the corresponding requirement and enter the frame numbers if appropriate. If the image has been previously saved, all new changes will automatically be saved to the original file name and location, and the original file data will be overwritten.

NOTE: The saved file is in ‘PixCel’ format i.e. .apf or .opf, which contains additional information about how the image was collected.

Cut The Cut feature is functional only when using the Object Linking and Embedding (OLE) feature. (Advanced future applications only)

Copy The Copy feature allows the image view or a 'rectangular' selection to be copied and placed on the Windows clipboard for retrieval by another package ie: Word, Excel, Paintshop Pro etc. To create a 'rectangular' selection, click in the image view with the left hand mouse button, depress the Control keyboard button simultaneously and drag a 'rectangular' area. Select the Copy icon to copy the selected area or image and to paste it onto the clipboard. Alternatively select from the main menu Edit/Copy or Ctrl+C.

Paste Select the Paste icon to paste the selected area from the clipboard to the area or into a document or image of your choice. Alternatively select from the main menu Edit/Paste or Ctrl+V.

Toolbars Select the Toolbars icon to access the Toolbar configuration dialogue box.

By individually clicking in the check boxes to select the Main, Camera, View, Camera Init/Optimise and Acquisition Controls will enable or disable the display of the toolbars and control boxes on the screen. Click on OK to accept changes, Cancel to abandon changes made or the X button in the top right hand corner of the dialogue box to close the toolbar dialogue box and return to the main image window. Default settings are Main Controls, Camera Controls and View Controls. To re-view the toolbars, select View from the main menu, select Toolbars.. and re-select the options available.

Mapping (Brightness/Contrast) The mapping function controls the display look up tables to adjust brightness and contrast. Select the Mapping icon to access the Image mapping dialogue box. Alternatively select from the main menu View/Mapping.

By selecting the centre button or the arrow buttons either end of the slide scale indicator, the brightness or contrast levels can be adjusted between the low and high thresholds. Minimum and maximum levels are indicated at the extremes of the slide scale bar. Alternatively, on either side of the brightness/contrast image, the dotted line can be picked up and dragged to set the low and high values accordingly. This in turn changes the values in the low and high boxes together with moving the sliding scale.

If particular values are required, these can be directly typed into the low and high boxes. Any changes made can be applied by selecting the Apply button. The Reset button will cancel any changes made and revert to the original image values, i.e. the values that appeared before moving the sliders or dotted line.

The Autoscale function can be customised to allow closer autoscale data match to that of the image being captured. Refer to Chapter 4 View/Autoscale Prefs....

This function is only available when the Image view is selected.

WARNING!!! PixCel is a multi-tasking Windows program. The mapping functions are used by the data capture procedures. If you also use the mapping functions during data acquisition, serious confusion can occur. The best strategy is to only adjust mapping once data taking has completed.

Autoscale Preferences: The Autoscale function can be customised, to allow closer autoscale data match to that of the image being captured. Autoscale initiates the automatic selection of a number of high and low pixel grey values and adjusts the settings according to the values found.

Click on Autoscale Prefs. to view the Autoscale Model dialogue box. Select the option required by clicking the appropriate radio button. Further adjustment can be made by placing the cursor on the dotted lines either side of the histogram indicated within the dialogue box. Click the Apply button to accept changes or Close to abandon changes and revert to the main window.

Statistics Select the Statistics icon to access the Statistics information box. Alternatively select from the main menu View/Statistics.

The statistics information box indicates values appropriate to the region of the image area selected, even when the region box is not visible. These include measurement on the data contained in the area of interest as well as the description of the area selected (size, position and area, in number of pixels). The calculated data values include: Maximum, Area, Minimum, Std dev, Skew, Kurtosis, Median, Upper quartile, Mode, Lower quartile, Mean, % Even. This is a non editable feature, although it can be copied to the clipboard using Ctrl+C.

NOTE: the region used by the statistics box is independent of the visible screen zoom and may be shown by pressing the 'rectangle selection' icon even if the region box is not visible.

Rectangle selection The current rectangle selection is the area indicated by clicking this icon or by holding the shift key down, clicking and dragging with the left hand mouse button between two points with the Image view window. The box created is the rectangle selection. It may also be changed by entering relevant details within the Properties dialogue box. Click on the Rectangle selection icon to enable or disable the display of the rectangle selection.

Line selection The Line selection is a straight line on the image, indicated by clicking the left hand mouse button and dragging between two specific points with the Image view window. It may also be changed by entering relevant details within the Properties dialogue box. Click on the Line selection icon to enable or disable the display of the line selection.

Print Select the Print icon to access the Print dialogue box. Alternatively select from the main menu File/ Print or Ctrl+P. The standard Windows 95 printer dialogue box will appear which will allow the user to indicate which printer to use, which pages to print, and how many copies. Selecting the Properties button within the Print dialogue box will allow the further selection of the size and orientation of the paper, resolution and intensity of graphics, choice of fonts and device quality options. Select OK to accept changes or Cancel to abandon and return to the image window.

About Select the About icon for access to the HTML pages containing information about the PixCel software.

Live Grab Select the Live Grab button to take an image with settings as indicated on the Camera control tab. Images are taken and displayed continuously until the Stop button is pressed.

Sequence Grab Select the Sequence Grab button to take a sequence of images as previously set in the Sequence control tab and the Camera control tab.

Twain Transfer See Appendix B for full a explanation.

Camera control tabs

The Camera or Sequence control tabs contain information regarding the camera settings. Click on the tab to view the option required. The Camera control toolbar is a dockable toolbar allowing movement to left or right of the image window, or can be left floating. The Camera control toolbars can be 'switched off' and removed from the screen by selecting View/toolbars.... The toolbar configuration box allows selection of which toolbars are visible or disabled.

Using the View and navigation toolbar

The View and navigation toolbar is located at the bottom of the screen. It is a dockable toolbar which can be moved left or right, left floating, or can be 'switched off' and removed from the screen by using the View/Toolbars... option. The toolbar comprises a range of icons which are explained below in detail from left to right.

Image Click on the Image icon to display the image in the main window.

Plot Click on the Plot icon to view a line graph of the values under the current line selection.

Histogram Click on the Histogram icon to view the grey level values under the current rectangle selection as a histogram.

Pixel Values Click on the Pixel Values icon to show the grey level values of the current rectangle selection in a spreadsheet format.

User values Click on the User values icon to view the current control parameters.

First Frame Click on the First Frame icon to go to the first frame in a sequence.

Previous Frame Click on the Previous Frame icon to go to the previous frame in a sequence.

Frame # The Frame # box indicates the number of frames in a sequence and the number of the frame being viewed at the time e.g. Frame # 1 of 2 indicates you are viewing image one in a sequence of two. To view a particular image enter the image number in the Frame # box and press the enter key.

Start Playback Click on the Start Playback icon to start the review of all the images in a sequence. Playback stops when the last frame has been viewed unless toggle looping has been enabled.

Stop Playback Click on the Stop Playback icon to stop the review.

Toggle looping Toggle looping is a review mode that starts at the first image again when the last has been reached etc. Click on the Toggle looping icon to select the looping of image sequences.

Next Frame Click on the Next Frame icon to view the next frame in a sequence.

Last Frame Click on the Last Frame icon to view the last frame in a sequence.

Playback speed Click on the Playback speed icon to access the Set Playback Speed dialogue box.

Use the slide controls to vary the sequence playback speed and click Apply to apply the changes and Close to close the dialogue box and return to the main image window.

Using the Status bar

The Status bar is located to the bottom of the screen. It is a static toolbar and cannot be moved within the screen although it can be switched off from the View main menu. The left side provides information about the state of the program. The boxes left to right provide information on the camera acquisition status together with cursor position information. It comprises a number of areas that are explained below in detail from left to right.

Camera Status Indicates the mode in which the camera is operating e.g. Ready to grab an image, Re-optimise for optimisation, or Waiting when waiting for a trigger.

Pixel Grey level of pixel under the cursor.

X position Y position X and Y position of the image pixel location of the cursor on the image.

Frame time Shows the time from the start of acquisition of each frame in a sequence.

Base Electronics base pixel value, typically 200-1000 and is updated periodically.

Sd (Standard Deviation) Current readout noise in data numbers of the system and is updated periodically.

CCD CCD operating temperature (disabled with UltraPix) is indicated in this box, in degrees C.

Sink Heat sink temperature (disabled with UltraPix) is indicated in this box, in degrees C.

Viewing area

Using the View and navigation toolbar the following different types of view are available:

    Image view
    Plot view
    Histogram view
    Pixel values view
    User values view

By placing the cursor over the icons displayed in this toolbar the description will be shown in the status bar information box located at the bottom left hand side of the screen. To use the function click on the icon. Alternatively, for Plot, Histogram, Pixel and User values, click on View to make your selection or use the Alt+V keys and select.

Image view

The image view is the main image display window. Within this display window the images in the captured sequence can be viewed. The image is viewed by clicking the image icon on the view and navigation toolbar or View/Image view from the main menu.

If the image displayed is larger than the window, use the window scrollbars located on the right hand and lower side of the main window to see the rest of the image.

The Status bar shows the current cursor position and pixel intensity when the cursor is moved within the image.

To view an area of interest, press and hold the shift key then drag the mouse with the left button pressed to draw a rectangle around the desired area (zoom in). This is used to make the 'rectangular' selection required, and then the image is re-displayed so that the selection now fills the available viewing area. Use the mouse with the Ctrl key to select an area that the current view should fit into (zoom out). This is used to make a new 'rectangular' selection and the image display is updated accordingly. To revert to the original full image, click the right hand mouse button to activate the zoom in/out box. Select x1 to revert back to the original sized image or choose another option from the list shown. A wide range of zoom factors are available.

Clicking on View/ Statistics in the main menu, or the statistics icon on the software toolbar, will bring the statistics dialogue box into view. This will give statistical information for pixels in the current rectangle selection.

NOTE: Should you want to get statistical data on a small region of the image this region may be selected as above. Using the right mouse button to zoom in or out to view another part of the image leaves the region selected for statistical analysis unchanged, until another rectangular selection is made as above. Click on the X button to close the statistics dialogue box and return to the image window.

Within the image view, press the left hand mouse button and drag to produce a line which tracks the mouse. When the mouse is released the position of the ends of the line will define the 'line' selection and the line is removed from the display. The co-ordinates of the line are used for the plot view.

By clicking the right hand mouse button, an option box will allow access to: Zooming in and out, Properties, Copy to the clipboard, Print and Export.

Zooming in/out is accessed by clicking in the image area with the right hand mouse button. Move the mouse to place the cursor on the chosen option e.g. 1:1, etc and size to fit. Clicking on the chosen option will change the image and close the zoom in/out option box. To close the zoom in/out option box without selecting an option, click within the image window again.

Properties can be viewed, in image view only, by clicking with the right hand mouse button in the image area and clicking on properties. The properties dialogue box provides information on the sequence title, when the image was created and the image size details. The line selection and rectangular selection are accessible for checking or changing. Tick boxes allow vertical or horizontal line selections to be made. Data may be typed as required.

Select View/Mapping from the main menu or use the mapping icon on the software toolbar to adjust contrast and brightness. Click on the X button to close the mapping dialogue box and return to the image window.

NOTE: the autoscale check box can be customised to give a better result with certain image types. Refer to Chapter 4 View/Autoscale prefs...

Lookup tables (LUT) can be selected from the View menu. A choice of Grey scale, Pseudo colour, Red ramp, Green ramp, Blue ramp, Invert, Equalise, Logarithmic or Square root, can all be made by moving the cursor to the required option and clicking. A tick mark indicates which lookup table is in use.

Use the First/Last/Next/Previous/Frame #/Play and Stop buttons on the view & navigation toolbar to move from one image to another in the sequence.

Use the Edit/Copy option from the main menu, Ctrl+C, or the copy icon to copy the 'rectangular' selection to the clipboard. The image can be pasted (Edit, Paste or Paste Special) into another application e.g. Word, Excel or another package. The copy function is also available by clicking with the right hand mouse button in the image window and choosing copy from the zoom in/out option box. When the copy option is clicked the image is transferred to the clipboard.

Select File/Print from the main menu, Ctrl+P, or the print icon to print the whole image. The image can be previewed before printing by using the Print Preview menu option. The page can also be changed from landscape to portrait, letter to A4 etc. using the page setup option from the same menu. The print function is also available by clicking with the right hand mouse button in the image window and choosing print from the zoom in/out option box. At this point the print dialogue box will appear.

Plot view

A pixel plot is a graphical representation of the grey level (pixel intensity) against the pixels of the Line selection. Data from the Pixel values can be cut and pasted into most Windows compliant software for further analysis and display.

To display a Plot of the image, select the plot icon. The icon will activate and appear depressed. Alternatively, click on View/Plot from the main menu. The main window will show a line graph with values corresponding to the grey level pixel fluctuation along the current line selection (see Using the Software Toolbar). Place the cursor on the plot line and the corresponding value will be displayed. To revert to the selected image click on the Image icon.

Use Edit/Copy, Ctrl+C, or click on the copy icon, to copy the graphical plot and values that make up the plot to the clipboard as a CSV (Comma Separated Value) and as a picture. This can be pasted (Edit/Paste Special) into Excel, Word or another package for further analysis.

Use the First/Last/Next/Previous/Frame # controls on the view and navigation toolbar to move from one image to another in the sequence. The plot is updated with the pixels from the new image under the line selection.

Select File/Print from the main menu, or Ctrl+P, or the print icon to print the whole plot. The plot can be previewed before printing by using the Print Preview menu option. The page can also be changed from landscape to portrait, letter to A4 etc. using the Page Setup option from the same menu. The print function is also available by clicking with the right hand mouse button in the image window and choosing print from the zoom in/out option box. At this point the print dialogue box will appear.

Data from a plot can be dragged from PixCel into a Microsoft Excel spreadsheet. Start both PixCel and Excel. Arrange the PixCel and Excel windows beside one another. Load a sequence into PixCel, select the plot view and press and hold the left mouse button in PixCel. Move the cursor to the Excel window and release the cursor. The data has now been copied across. This saves time compared with using PixCel's Edit/Copy and Excel's Edit/Paste special controls.

Plot is also very useful for focusing. Draw a line across an element within the image that should have sharp contrast (sharp transition when in focus), select plot mode, then use live grab. The best focus is typically when the plot has the steepest transition in the plot mode.

Mapping controls are not available in this view.

Histogram view

A histogram is a graphical representation of the frequency of occurrence of each grey level (pixel intensity) within the rectangle selection. It can be calculated on the whole or just part of the image. Data from the histogram can be cut and pasted into most Windows compliant software, for further analysis and display.

To display a Histogram of the image, select the histogram icon. The icon will activate and appear depressed. Alternatively, click on View/Histogram from the main menu. The main window will show a bar graph histogram of the current rectangle selection (see Using the Software Toolbar). Place the cursor within the histogram and the corresponding value will be displayed. To revert to the selected image click on the Image icon.

Use the First/Last/Next/Previous/Frame # controls on the view and navigation toolbar to move from one image to another in the sequence. The histogram is updated with the data from the new image under the rectangle selection.

Click the right hand mouse button and an option box will appear allowing the selection of either a bar or line histogram. A tick mark indicates the option currently chosen.

Use Edit/Copy, Ctrl+C, or click on the copy icon, to copy the graphical plot and values that make up the plot to the clipboard as a CSV (Comma Separated Value) and as a picture. This can be pasted (Edit/Paste Special) into Excel, Word or another package for further analysis. The values pasted in the output have as the first two numbers the grey level of the first bin of the histogram and the quantisation factor (the number of consecutive data numbers that are used to make a single point in the histogram).

Select File/Print from the main menu, Ctrl+P, or the print icon to print the histogram. The histogram can be previewed before printing by using the Print Preview menu option. The page can also be changed from landscape to portrait, Letter to A4 etc. using the Page Setup option from the same menu.

Data from a plot can be dragged from PixCel into a Microsoft Excel spreadsheet. Start both PixCel and Excel. Arrange the PixCel and Excel windows beside one another. Load a sequence into PixCel, select the histogram view and press and hold the left mouse button in PixCel. Move the cursor to the Excel window and release the cursor. The data has now been copied across. This saves time compared with using PixCel's Edit/Copy and Excel's Edit/Paste special controls.

Mapping is not available in this view.

Pixel values view

Pixel values is a 'spreadsheet' type representation of the data in the image. It shows the pixel values at each X and Y location. Data from the pixel values can be cut and pasted into most Windows compliant software for further analysis and display.

To display the pixel values of the image, select the pixel value icon. The icon will activate and appear depressed. Alternatively, View/Pixel value from the main menu. The main window will show a spreadsheet of the current rectangle selection (see Using the Software toolbar). The extreme pixel values of the image are highlighted in the table as red for the maximum and blue for the minimum values. To revert to the selected image click on the image icon.

Use the First/Last/Next/Previous/Frame # controls on the view and navigation toolbar to move from one image to another in the sequence. The spreadsheet is updated with the data from the new image under the rectangle selection.

Use Edit/Copy, Ctrl+C, or click on the copy icon, to copy the spreadsheet as a CSV (Comma Separated Value). This can be pasted (Edit/Paste Special) into Excel, Word or another package for further analysis.

Select File/Print from the main menu, Ctrl+P, or the print icon to print the spreadsheet. The spreadsheet can be previewed before printing by using the Print Preview menu option. The page can also be changed from landscape to portrait, Letter to A4 etc. using the Page Setup option from the same menu.

NOTE: only the pixels in view are printed. It is advisable to select the area of specific interest before copying or printing, as the amount of information in a full screen grab being copied to the clipboard will cause an extended delay in copying or printing. Also avoid selecting much larger areas than you need. Programs such as Excel do not handle large data sets efficiently.

Data from a spreadsheet can be dragged from PixCel into a Microsoft Excel spreadsheet. Start both PixCel and Excel. Arrange the PixCel and Excel windows beside one another. Load a sequence into PixCel, select the pixel values view and press and hold the left mouse button in PixCel. Move the cursor to the Excel window and release the cursor. The data has now been copied across. This saves time compared with using PixCel's Edit/Copy and Excel's Edit/Paste special controls.

User values view

User values are the parameters used to acquire the image or sequence of images and includes the camera control monitored voltages. This is a non-editable feature.

To display the User values, click on the user values icon. The button will appear depressed. Alternatively, select View/User values from the main menu. Use the window scrollbars located on the right hand side and bottom of the main window to pan and scroll.

The editable values that were used when a sequence was captured are also displayed. They include all the camera, sequence and focusing parameters as well as the state of the electronics.


Chapter 3 - Operating the Camera

Chapter 3 : Operating the Camera

Camera mode

Provides rapid access and control of the camera system to effect accurate focusing and camera set up. To change or adjust the speed and format with which the camera is read out, select the Camera tab. Click in the first drop down box to select a previously named setting, or click on the Store button to access the parameters dialogue box.

Check the 'Override settings for...' to make changes to settings, or check 'Store as...' for the creation of a new setting. The software allows for clear identification of the settings being used with the facility to change the background colour of the Camera tab. Click the option of changing the background colour of the Camera tab, select the colour, click on OK then the Store button to save or Cancel to abandon changes. The background colour of the Camera tab will change accordingly.

Exposure This enables the user to set the time the shutter remains open. Enter a value required for the exposure duration and select the appropriate units. Check or uncheck to Enable/Disable the shutter as appropriate. If the shutter is disabled, the system waits for the selected shutter period without opening the shutter before proceeding. If the shutter is selected, and no delay specified, the camera will use ‘Fast grab’ mode for highest speed acquisition.

Binning Binning allows charge from each pixel to be added (in both vertical and horizontal directions) to its previous neighbouring pixel. This can be done an unlimited number of times for the SI and SK series systems, in either or both directions while the CCD is being read out. For binning with an SI or SK system, enter the binning factors separately in the Serial or Parallel box, for example: 1x1,1x2, 2x2, 1x4, 4x4, 1x8, 8x8, 1x16, 16x16. In addition you may check the full serial binning and/or full parallel binning boxes to bin the CCD entirely in one direction giving one dimensional (single) line read out (SI and SK series only). Check or uncheck the Enable/Disable binning box.

NOTE: in the FK, FE and NeuroCam cameras, binning in the horizontal direction is only possible at speeds up to 2MHz.

This is a totally noise-free process and leads to higher signal levels together with significant reduction in the readout time, although it does have the disadvantage of reducing the spatial resolution.

Speed (kPixels/s) : The readout rate is the rate at which the camera electronics reads each CCD in K (thousands) of pixels per second. To achieve a higher quality image a slower read out speed is required. Select the pixel rate by adjusting the sliding scale to requirements. Click on the upward arrow on the sliding scale and drag to required point. The readout rate figures will consequently adjust and confirm levels chosen in the associated box.

NOTE: Changing the speed also changes the sensitivity, once selected with the mouse, the arrow keys can be used to make changes.

Sensitivity Sensitivity is the gain of the electronics. It may be adjusted to suit the appropriate CCD signal levels i.e. low signals may require an increase in sensitivity and high signal levels may require a decrease in sensitivity. Select the sensitivity by adjusting the sliding scale. Click on the upward arrow on the sliding scale and drag to required point. The electrons/level and peak signal figures will adjust and confirm level chosen.

In many applications a good compromise is to set the sensitivity such that the full range of the electronics (shown in the 'peak signal' box) corresponds to the full well or saturation level of the CCD in your camera.

Black rem. Check or uncheck the black removal box accordingly. The camera data are all unsigned images in the range 0-4095 (12 bits), 0-16367 (14 bits) or 0-65535 (16 bits), depending on your camera. The black level represents the electronic output level of the DDE in the absence of any signal or dark current. It may be removed or corrected as required.

Region The user may define a region which is an area of interest and which can be any rectangular area within the image. It can dictate the actual part of the chip (CCD) being read by the electronics. It is also possible to have statistical measurements made within the selected sub region for further analysis even while a longer region is being read out.

From the Camera control tab, click on the Region button, the Set Region dialogue box will appear.

Check or uncheck the following: Current Rectangular Selection - this is the previously selected area using the Shift/mouse drag. Whole of the CCD - this is the whole image including the dark (overscan) reference pixels at the edge of the CCD. Light sensitive pixels of the CCD - this is the actual sensitive area without the reference pixels. The software defaults to light sensitive pixels of the CCD. Within the Selected region box enter the details of the X and Y position together with width and height as required. If you use the left mouse button together with the shift or Ctrl key on an existing image these parameters will be entered in the box eliminating the need to be entered separately. Click on OK to accept the parameters or Cancel to abandon the changes and revert to the main window.

Sequence mode

To create a new sequence of single or multi image acquisition, select the Sequence tab.

Triggering The Flush Until check box in the triggering section causes the CCD to be continually flushed out while waiting for image capture, so as to minimise the build up of dark current over extended delays before the image is to be captured. The triggering that initiates the capture of a sequence can come from different sources. Check or uncheck Flush until trigger (only available with SK or SI series systems) and Wait for trigger as appropriate. Choose either Spacebar or User Port as the trigger source by clicking the downward arrow to access options.

Pre- flushing Once the triggering event has occurred, the capturing sequence can optionally call for any signal already present on the CCD to be flushed out before the first exposure occurs. Check or uncheck Enable option. Enter the Number of flushes required by either entering the number in the No. box or using the up/down arrows to select the number. Each flush fully clears the CCD. Users may occasionally want to use more than a single flush should the CCD have previously been fully saturated immediately before sequence capture.

Readout Enter the number of frames required (full CCD or sub-region readout as set on the focus tab) by either entering the number in the box or using the up/down arrows to select the number. Enter the delay duration and units between frames as required. (Click on the down arrow to indicate other unit options available). This allows short exposures to be taken with longer intervals between them. These images will be taken after a single trigger.

Saving Saving in Sequence allows the frames to be saved to disk either image by image or by acquiring a succession of images then saving as a sequence of individual images. See illustration below in Looping. Saving a sequence at this time will record the pixel data only. The camera setup and calibration details remain in the original .apf file and should be saved separately before overwriting the memory by acquiring new images, closing the software or selecting File/New or the New icon.

To save, check the enable box to access File format and filename options. A Format can be chosen by clicking on the downward arrow and clicking on either: RAW, Imager-1, Imager-2, FITS or 16-bit TIFF. The .xxx extension in the filename is set to three letters ie: Raw, img, img, fit or tif depending on the format selected. Specific Filenames can be typed in the Filename box. Filenames default to 'Untitled1.xxx, Untitled2.xxx' etc.

Looping Looping is a feature which allows a number of readout sequence operations to be implemented automatically with a defined time delay between sets of images if desired e.g. with 10 frames and 10 loops set, gives a total of 100 images.

Cycling is a feature where a loop of images are taken but, each loop will overwrite the previous loop and so on. Check or uncheck to Enable/Disable Looping. Check or uncheck to Enable/Disable cycling. Enter the Number of loops required (if not cycling) either by entering the number in the box or using the up/down arrows to indicate the number. Enter delay duration and units between loops (use the down arrow to indicate other unit options available).


Chapter 4 - Controls Reference

Chapter 4 : Controls Reference

This chapter explains in detail the controls, their application and action. PixCel™ is a Microsoft Windows application. It uses a standard Windows installation program and can be un-installed using the standard Windows procedure.

'Pull down' Menu bar

The Main menu bar is found at the top left hand side of the screen and comprises File, Edit, View, Acquire, Analyse, Hardware and Help. By using the mouse to click on the word or by using the keyboard i.e. Alt+F key together to obtain the File option on the menu, further options are available from a drop down box. Further selection can be made by choosing either with the mouse cursor or using the keyboard.

File menu

New Select the New file icon to clear the image area to start a new image. Alternatively select from the main menu File/New or Ctrl+N.

Open... Select the Open file icon to open an existing image file held on disk. Alternatively select from the main menu File/Open or Ctrl+O.

When the Open dialogue box appears, select the image from the File name list and choose the OK button. If the image is not listed, then a search of the directories can be actioned by selecting the appropriate directory, file type and/or file name. Either double click the item or highlight the option and click the Open button to select.

NOTE: only a .apf or .opf files which have been saved using the ‘Save file’ option can be opened with this method. All other files can be opened by using the Import facility.

Save To Save an image in the software internal file format, select the Save file icon. Alternatively select from the main menu File/Save or Ctrl+S. If the image has been previously saved, all new changes will automatically be saved to the original file name and location, and the original file data will be overwritten.

NOTE: The saved file is in a particular PixCel format ie: .APF or .OPF, which contains additional information about how the image was collected.

Save As... Use Save As.. when saving for the first time or to change the internal file format or directory. The Save As dialogue box, will appear allowing the user to select a directory in which to save the file, type a file name, and select a file type. Within a sequence the images can be saved as 'All' for the sequence as a whole, 'Current frame' for the image currently in view on the screen, or a particular frame or frames within a sequence. Select and check against the corresponding requirement and enter the frame numbers if appropriate.

I mport... To import a previously saved image i.e. Imager1, Imager2, or GCI images click on File/Import. The Open dialogue box will appear. Enter details of the saved image i.e. folder, file name, type of file. When found, the file can be opened by either clicking on the file to highlight it then clicking on the Open button or double clicking the file name, which will open the file selected and the first image will be displayed in the Image window.

Export... To save the current selected image as 8-bit DIB (Windows Bitmap), Imager2, 8-bit TIFF, 16-bit TIFF or 16-bit FITS, Prisma, Grams. Click on File/Export. Select a folder and enter a filename. Check either 8-bit DIB, Imager2, 8-bit TIFF or 16-bit TIFF, FITS, Prisma or Grams options. Click on the Save button to save the image or Cancel to abandon.

Configure To set up the software for a particular CCD type and configuration e.g. KAF 0400, 1600, EEV or SITe sensors. The Open dialogue box will appear and the appropriate .INI file can be selected. This file is provided with the set of floppy disks shipped with your camera system. If you have multiple CCD systems it is essential to use only the correct configuration file for the CCD device and controller in use.

Print To print the current view, click on File/Print. The shortcut action is to press Ctrl+P. Selection of the printer, print range and number of copies are available from the Print dialogue box. After selection is made click on the OK button to print or the Cancel button to cancel the option. You may use the standard Windows facilities to select the page layout. In particular changing from portrait to landscape layout can be helpful.

Print Preview Print preview is used to view the document and how it will be positioned. To access Print Preview, click on File/Print Preview. The image or sequence of images is displayed as it will be printed. You can then select the following options:

Print to access the Print dialogue box to print the page(s) (Ctrl+P).

Next page to move to the next page if multiple pages.

Previous page to move to the previous page if multiple pages.

Two pages to view two pages together on the screen.

Zoom In to zoom in for finer detail. (Alternatively, by clicking within the page, the zoom in and out modes can be accessed automatically. The cursor will change to a magnifying glass to indicate the zoom mode)

Zoom Out Zoom out to view whole page. (Alternatively, by clicking within the page, the zoom in and out modes can be accessed automatically. The cursor will change to a magnifying glass to indicate the zoom mode)

Close to close Print Preview and return to the main image window.

Print Setup Print Setup gives you access to the Printer setup dialogue box and allows selection of the Printer type, type of paper and orientation. Click on File/Print Setup.. to access the Print setup dialogue box. Selection of the printers available to you in your computer configuration is available by clicking on the down arrow button. To view the Properties available to the selected printer, click on the Properties button and edit as required. To revert to the Print Setup dialogue box click on the OK button, or to abandon any changes made in this action and revert to the Print Setup dialogue box, click on the Cancel button.

Recent file List This area lists the recent files by name which have been opened, saved and/or changed. They are listed 1, 2, 3 etc showing the most recent as 1. This feature allows quick access to the most recently opened files.

Exit To Exit the program, click on File/Exit. The option will automatically prompt you to save the image if not previously saved. Click on Yes to save the image, or No to Exit the program or Cancel to revert to the main image window.

Edit menu

Copy Click on Edit/Copy (Ctrl+C) or the Copy icon to copy the current rectangle selection to the clipboard for retrieval in another package e.g. Word, Excel etc.

Select all Use Edit/Select all to set the current rectangle selection to the whole image.

View menu

Toolbars... The Toolbars allow one click access via icons to a variety of operations. Click on View/Toolbars.. and the Toolbar configuration dialogue box will appear. Select the toolbars to be viewed (see Using the Software toolbar, Toolbars).

Status bar The Status bar provides information on the camera acquisition status and the cursor position. A tick mark against Status bar indicates that the Status bar is visible. To hide or reveal the Status bar, click on View/Status bar.

Mapping (brightness/contrast) The mapping function controls the display lookup tables to adjust brightness and contrast. To access Mapping, click on View/Mapping. The Image Mapping dialogue box will appear. Changes or adjustments can be made and applied by clicking the Apply button. Autoscale preferences can be accessed by checking the Autoscale box. The Reset button will cancel any changes made and revert to the previously applied settings. To close the Mapping dialogue box and revert to the main image window, click on the X button in the top right hand corner of the Image mapping dialogue box.

Autoscale Prefs... Autoscale Preferences enables the automatic selection of a number of high and low pixel grey values and adjusts the settings according to the values found. It has the facility for customisation of the autoscale checkbox to allow a closer autoscale data match to that of the image being captured. Click on Autoscale Prefs.. to view the Autoscale Model dialogue box.

Click OK to accept changes or Cancel to abandon changes and revert to the main window.

Statistics Statistics provides statistical information about the image. Click on View/Statistics to view the statistics dialogue box or the statistics icon on the software toolbar. The figures are not editable in this table, but can be copied individually to the clipboard. To close the statistics dialogue box and return to the main window click on the X button in the top right hand corner of the Statistics dialogue box.

Lookup Tables Lookup tables (LUT) can be selected by clicking View/Lookup tables.

First select the Image icon on the software toolbar to show the current image, then select the lookup table you wish to use.

Image, Plot, Histogram, Pixel values, User values The User can switch from one screen to another by clicking on View, and either image, plot, histogram, pixel values or user values. A tick mark will indicate which mode is chosen and the main image window will change accordingly. Also, the appropriate button on the View controls toolbar will depress on the bottom left corner of the display area.

Sequence Images Views the images captured from the sequence camera controls.

Black Level Image When acquiring images from a CCD, there will be an unwanted background signal called the dark current. A Black Reference image is taken and used to correct the experimental data.

Select View/Black level image to show the black level image. You can use the standard viewing techniques e.g. image, plot, histogram, statistics, mapping etc. with the black level image. This black level image will act as a reference for all images taken within this particular sequence. The black level image is acquired as normal using the Acquire facility in the Main menu toolbar.

NOTE: this function is disabled until black level images are taken using Acquire.

Flatfield image The Flatfield image function corrects for non-uniform illumination or sensitivity. Select View/Flatfield image to display the image. You can use the standard viewing techniques e.g. plot, image, histogram, statistics, mapping etc. with the flatfield image. This flatfield image will be applied to all images taken within this particular sequence. The flatfield reference image is acquired using the Acquire facility in the Main menu toolbar.

NOTE: this function is disabled until flatfield images are taken using Acquire.

Acquire menu

Live Grab Select Live Grab to take an image with settings as indicated on the Camera control tab. This facility also available from the Live Grab button along the Software toolbar.

Sequence Grab :Select Sequence Grab to take a sequence of images as previously set in the Sequence control tab and the Camera control tab. This facility is also available from the Sequence Grab button on the software toolbar.

Black Reference The Black reference function captures a black reference image using the current sequence grab parameters, but with the shutter disabled. This allows the user to correct dark current in the CCD and the bias level from the electronics. Select View/Black Level Image to display the image. Standard review techniques can then be applied i.e. plot, image, histogram, statistics, mapping etc. This image will be used as a reference for all images taken within this particular sequence.

Flatfield Reference The Flatfield reference function captures a flatfield reference image using the current sequence grab parameters. This allows the user to correct non-uniform illumination or sensitivity. Select View/Flatfield image to display the image. Standard review techniques can then be applied i.e. plot, image, histogram, statistics, mapping etc. This image will be used as a reference for all images taken within this particular sequence.

Analyse menu

Image Analysis Invokes the program listed in PixCel.ini. giving full image details.

Dark Subtraction Dark subtraction uses the black reference image to correct dark current in the CCD and the bias level from the electronics. The formula used is (Image - black level reference image).

NOTE: this facility is only available with the current image or sequence of images.

Shade Correction : Shade correction uses the flatfield reference image to correct the illumination variations caused by optics or variations due to detector non- uniformities. The formula used is (Image - black level reference image) divided by (flatfield reference image - black level reference image) normalized.

NOTE: this facility is only available with the current image or sequence of images.

Hardware menu

Status Gives the current camera status within the Camera hardware dialogue box. Hardware status, Recorder, Voltages/Temperatures and AT-Link configuration give information regarding the Camera setup and allows access for AT-Link configuration. Click on OK to accept any changes made and to exit the Camera Hardware dialogue box and return to the main image window.

Initialize This feature can be used to force initialisation, for example: if the camera was turned off accidentally.

Reoptimize : This feature enables the camera to be reoptimized if the CCD temperature has changed more than a few degrees since the last reoptimization or initialisation. If there is any evidence that the image quality has degraded because the CCD has not reached its operating temperature then reoptimization may help. NOTE: each time a new sequence grab is started, the camera is automatically reoptimized, so simply stopping and starting will also reoptimize the camera hardware.

Help menu

About PixCel... : About PixCel gives information regarding physical memory and disk space available together with PixCel version number. Click on Help/About PixCel.. the About PixCel dialogue box will appear stating information. Click the OK button or the exit icon in top right hand corner of the box to return to the main window.

Contents : Contents holds the on line Help to assist you with the PixCel package. Click on Help/Contents to access a version of this manual in electronic form.

System Info... : Gives standard Microsoft Windows system information.

Software toolbar

New file Select the New file icon to clear the image area to start a new image. Alternatively select from the main menu File/New or Ctrl+N.

Open file Select the Open file icon to open an existing image file held on disk. Alternatively select from the main menu File/Open or Ctrl+O.

When the Open dialogue box appears, select the image from the File name list and choose the OK button. If the image is not listed, then a search of the directories can be actioned by selecting the appropriate directory, file type and/or file name. Either double click the item or highlight the option and click the Open button to select.

NOTE: only .APF or .OPF files can be opened with this method. All other files can be opened by using the Import facility.

Save file To Save an image in the software internal file format, select the Save file icon. Alternatively select from the main menu File/Save or Ctrl+S.

If saving for the first time, the Save As dialogue box, will appear allowing the user to select a directory in which to save the file, type a file name, and select a file type. Within a sequence the images can be saved as 'All' for the sequence as a whole, 'Current frame' for the image currently in view on the screen, or a particular frame or frames within a sequence. Select and check against the corresponding requirement and enter the frame numbers if appropriate. If the image has been previously saved, all new changes will automatically be saved to the original file name and location, and the original file data will be overwritten.

NOTE: The saved file in the ‘PixCel’ format ie: .apf or .opf, which contains additional information about how the image was collected.

Cut The Cut feature is functional only when using the Object Linking and Embedding (OLE) feature. (Advanced future applications only)

Copy The Copy feature allows the image view or a 'rectangular' selection to be copied and placed on the Windows clipboard for retrieval by another package i.e. Word, Excel, Paintshop Pro etc. To create a 'rectangular' selection, click in the image view with the left hand mouse button, depress the Control keyboard button simultaneously and drag a 'rectangular' area. Select the Copy icon to copy the selected area or image and to paste it onto the clipboard. Alternatively select from the main menu Edit/Copy or Ctrl+C.

Paste Select the Paste icon to paste the selected area from the clipboard to the area or into a document or image of your choice. Alternatively select from the main menu Edit/Paste or Ctrl+V.

Toolbars Select the Toolbars icon to access the Toolbar configuration dialogue box.

By individually clicking in the check boxes to select the Main, Camera, View, Camera Init/Optimise and Acquisition Controls will enable or disable the display of the toolbars and control boxes on the screen. Click on OK to accept changes, Cancel to abandon changes made or the X button in the top right hand corner of the dialogue box to close the toolbar dialogue box and return to the main image window. Default settings are Main Controls, Camera Controls and View Controls. To re-view the toolbars, select View from the main menu, select Toolbars.. and re-select the options available.

Mapping (Brightness/Contrast) The mapping function controls the display look up tables to adjust brightness and contrast. Select the Mapping icon to access the Image mapping dialogue box. Alternatively select from the main menu View/Mapping.

By selecting the centre button or the arrow buttons either end of the slide scale indicator, the brightness or contrast levels can be adjusted between the low and high thresholds. Minimum and maximum levels are indicated at the extremes of the slide scale bar. Alternatively, on either side of the brightness/contrast image, the dotted line can be picked up and dragged to set the low and high values accordingly. This in turn changes the values in the low and high boxes together with moving the sliding scale.

If particular values are required, these can be directly typed into the low and high boxes. Any changes made can be applied by selecting the Apply button. The Reset button will cancel any changes made and revert to the original image values, ie: the values that appeared before moving the sliders or dotted line.

The Autoscale function can be customised to allow closer autoscale data match to that of the image being captured. Refer to Chapter 4 View/ Autoscale prefs....

This function is only available when the Image view is selected.

WARNING: PixCel is a multi-tasking Windows program. The mapping functions are used by the data capture procedures. If you also use the mapping functions during data acquisition, serious confusion can occur. The best strategy is to only adjust mapping once data taking has completed.

Autoscale: The Autoscale function can be customised, to allow closer autoscale data match to that of the image being captured. Autoscale initiates the automatic selection of a number of high and low pixel grey values and adjusts the settings according to the values found.

Click on Autoscale Prefs.. to view the Autoscale Model dialogue box. Select the option required by clicking the appropriate radio button. Further adjustment can be made by placing the cursor on the dotted lines either side of the histogram indicated within the dialogue box. Click the Apply button to accept changes or Close to abandon changes and revert to the main window.

Statistics Select the Statistics icon to access the Statistics information box. Alternatively select from the main menu View/Statistics.

The statistics information box indicates values appropriate to the region of the image area selected, even when the region box is not visible. These include measurement on the data contained in the area of interest as well as the description of the area selected (size, position and area, in number of pixels). The calculated data values include: Maximum, Area, Minimum, Std dev, Skew, Kurtosis, Median, Upper quartile, Mode, Lower quartile, Mean, % Even. This is a non editable feature, although it can be copied to the clipboard.

NOTE: the region used by the statistics box is independent of the visible screen zoom and may be shown by pressing the 'rectangle selection' icon even if the region box is not visible.

Rectangle selection The rectangle is the area indicated by clicking this icon or by holding the shift key down, clicking and dragging with the left hand mouse button between two points with the Image view window. The box created is the rectangle selection. It may also be changed by entering relevant details within the Properties dialogue box. Click on the Rectangle selection icon to enable or disable the display of the rectangle selection.

Line selection The Line selection is a straight line on the image, indicated by clicking the left hand mouse button and dragging between two specific points with the Image view window. It may also be changed by entering relevant details within the Properties dialogue box. Click on the Line selection icon to enable or disable the display of the line selection.

Print Select the Print icon to access the Print dialogue box. Alternatively select from the main menu File/ Print or Ctrl+P. The standard Windows 95 printer dialogue box will appear which will allow the user to indicate which printer to use, which pages to print, and how many copies. Selecting the Properties button within the Print dialogue box will allow the further selection of the size and orientation of the paper, resolution and intensity of graphics, choice of fonts and device quality options. Select OK to accept changes or Cancel to abandon and return to the image window.

Help Select the Help icon for access to the HTML pages containing information about the PixCel software.

Live Grab Select the Live Grab button to take an image with settings as indicated on the Camera control tab. Images are taken and displayed continuously until the Stop button is pressed.

Sequence Grab Select the Sequence Grab button to take a sequence of images as previously set in the Sequence control tab and the Camera control tab.

TWAIN Transfer See Appendix B for full explanation.

View & navigation toolbar

Image : Click on the Image icon to display the image in the main window.

Plot : Click on the Plot icon to view a line graph of the values under the current line selection.

Histogram : Click on the Histogram icon to show the grey level values under the current rectangle selection as a histogram..

Pixel values : Click on the Pixel Values icon to show the grey level values of the current rectangle selection in a spreadsheet format.

User values : Click on the User values icon to view the current control parameters.

First Frame : Click on the First Frame icon to go the first frame in a sequence.

Previous Frame : Click on the Previous Frame icon to go the previous frame in a sequence.

Frame # : The frame # box indicates the number of frames in a sequence and the number of the frame being viewed at the time e.g. Frame # 1 of 2 indicates you are viewing image one in a sequence of two. To view a particular image enter the image number in the frame # box and press the enter key.

Start Playback : Click on the Start Playback icon to start the review of all the images in a sequence. Playback stops when the last frame has been viewed unless toggle looping has been enabled.

Stop Playback : Click on the Stop Playback icon to stop the review.

Toggle looping : Toggle looping is a review mode that starts at the first image again when the last has been reached etc. Click on the Toggle looping icon to select looping of sequences.

Next Frame : Click on the Next Frame icon to view the next frame in a sequence.

Last Frame : Click on the Last Frame icon to view the last frame in a sequence.

Playback speed : Use the slide controls to vary the sequence playback speed and click

Apply to apply the changes and Close to close the dialogue box and return to the main image window.

Status bar

Menu selection help line : On positioning the mouse arrow on a particular icon a short explanation regarding the function of the icon is given in the Menu Selection Help Line.

Camera Status Indicates the mode in which the camera is operating e.g.Ready to grab an image, Re-optimise for optimisation, or Waiting when waiting for a trigger.

Pixel Grey level of pixel under the cursor.

X position Y position X and Y position of the image pixel location of the cursor on the image.

Frame time Shows the time from the start of acquisition of each frame in a sequence.

Base Electronics base pixel value, typically 200-1000 and is updated periodically.

Sd (Standard Deviation) Current readout noise in data numbers of the system and is updated periodically.

CCD CCD operating temperature (disabled with uncooled cameras) is indicated in this box, in degrees C.

Sink Heat sink temperature (disabled with uncooled cameras) is indicated in this box, in degrees C.


Chapter 5 - Tutorials

Chapter 5 : Tutorials

Controlling how your image appears

Images are saved as a sequence or as a single image in either .APF, .OPF, 8-bit TIFF, 16-bit TIFF, FITS, DIB, Prisma, Imager2, Spectacle or Grams file formats. Once a sequence has been loaded from disk or grabbed by the camera, one image from the sequence is displayed in the main window.

The image can be controlled using brightness/contrast control, lookup tables and analysed by zooming into and out of a particular area, or viewed as a statistical evaluation, plot, histogram, or as pixel values. There are several ways of controlling how each grey level of the image acquired is displayed on your monitor. The image acquired can have over a million grey levels but the display has only 256 colours or grey levels.

The following parameters allow you to adjust the display of your data to allow you to see the details you want without affecting the actual data.

Image View

Select the Image view from the View menu or use the Image icon on the view and navigation toolbar. The image can be accessed for viewing at any time throughout the use of the PixCel software by this method. For images larger than the display window, use the window scrollbars located at the bottom and right hand side of the image and to pan and scroll within the image. These are not available on images that fit inside the display area. The Status bar shows current cursor position and pixel intensity.

Mapping (Brightness/Contrast)

Select Mapping from the View menu or use the Mapping icon on the main control toolbar to display the image mapping dialogue. This function is only available in Image View.

The slide controls alter the brightness and contrast. Drag the button and you will notice the changes in the histogram above and the pixel numbers changing in the low and high boxes. Gradual changes can be made by clicking on the left and right arrow buttons. Again changes can be seen in the low and high boxes. Alternatively, figures can be entered into the low and high boxes.

Within the brightness/contrast window the dotted vertical lines representing the maximum and minimum display grey levels can be picked up by pressing and holding the left hand mouse button and moving the required distance. The changes in figures appear in the low and high boxes and appropriate adjustment is made to the slide controls.

Click on the Apply button to apply the changes or the Reset button to cancel the changes made and revert to the previous parameters.

Click on Autoscale to set the maximum and minimum display values automatically. Sometimes the automatically selected values do not give you the best display of your image. If this is the case, you can select the grey level distribution which best matches your image. Click OK to accept the changes or Cancel to abandon the changes and revert to the Mapping dialogue box.

To close the Mapping dialogue box and return to the main window click on the X button in the top right hand corner of the box.

Zoom in/out

Click the right hand mouse button to access the Zoom in/out menu.

To return to the original image format click the right hand mouse button and choose x1 from the Zoom in/out menu. CLick outsode of the option box to close it and return to the main window.

Use the Shift key together with dragging the mouse to select the area to fill the main window (zoom in). This defines the rectangle selection for plots and histograms as well.

use the Ctrl key together with dragging the mouse to select an area that the main window should fit into (zoom out). This defines the rectangle selection for plots and histograms etc.

The Properties dialogue box contains details of the image. Copy to clipboard, Print and Export short cut options are also available from this option box.

Selecting another image from the Sequence

Use the First/Last/Next/Previous/Frame #/Play and Stop buttons on the view and navigation toolbar to move from one image to another in the sequence. Alternatively, enter the frame number in the Frame # white box if a particular frame is required. Press the play button to play a movie of all the images in a sequence.

Statistics

This feature provides information about the image defined by the current rectangle selection i.e. Maximum, Area, Minimum, Std dev, Skew, Kurtosis, Median, Upper Quartile, Mode, Lower Quartile, Mean, % Even, X, Y, Width, and Height.

Select the Statistics icon to access the Statistics dialogue box. Alternatively select View/Statistics from the main menu.

To close the Statistics dialogue box and return to the main window click on the exit button in the top right hand corner of the box.

Toolbar configuration

Select the Toolbars icon to access the Toolbar configuration dialogue box. Individually clicking in the check boxes to select the Main, Camera, View, Camera Init/Optimise and Acquisition Controls will enable or disable the display of the toolbars and control boxes on the screen.

Click on OK to accept the changes or Cancel to abandon the changes made or the X button in the top right hand corner of the dialogue box to close the toolbar dialogue box and return to the main image window. Default settings are Main Controls, Camera Controls and View Controls. To review the toolbars, select View from the main menu, select Toolbars and reselect the options available. This feature is available in all views.

Copying to the clipboard

Use the Edit/Copy option from the menu, Ctrl+C, or the Copy icon to copy the rectangle selection to the clipboard. The information copied depends on which view is selected.

This selection can be pasted into another package e.g.Word or Excel.

The Copy function is also available by clicking the right hand mouse button in the image and selecting Copy to Clipboard from the Zoom in/out option box.

Printing

Select File/Print from the menu, Ctrl+P to access the Print dialogue box

This will allow the selection of desired printer, print properties, print range and quantity of copies. Click on OK to accept the changes or Cancel to abandon the changes.

Alternatively, click on the Print icon to print the rectangular selection of the image.

The image can be previewed before printing by using the Print Preview menu option in the File main menu. The page can also be changed from landscape to portrait, letter to A4 etc. using the Page Setup option from the same menu.

Properties

The Properties dialogue box provides details about the name of the sequence, the date it was created, pixel locations of the line selection and rectangle selection, together with the image width, height and depth.

The Properties dialogue box is activated by clicking with the right mouse button in the main image window and selecting Properties from the Zoom in/out options box.

The current line and rectangle selection parameters can be edited by entering information in the white boxes. The current line selection can be centred horizontally or vertically by clicking in the appropriate box.

A pull down menu in the Current Rectangle Selection area of the properties box allows you to set some useful regions quickly, such as the central 64 x 64 pixels of the image.

Click on OK to accept the changes or Cancel to abandon the changes and revert to the main window.

Alternatively, to close the Properties dialogue box and return to the main window, click on the X button in the top right hand corner of the box.

Loading Files

To load a file go to Main menu, click on File/Open. The Open dialogue box will appear.

The Open dialogue box allows you to open a PixCel format file (*.APF or *.OPF) from a particular drive and folder.

The Import option allows Imager2 and GCI images to be imported into PixCel™. The Import option allows Imager2 and GCI images to be imported into PixCel. Click on Import to open the Import dialogue box.

Saving to disk

To save changes made to an image file go to Main menu and click on File/Save or press Ctrl+S. The image or sequence of images will be saved and will overwrite the previously saved sequence. To save a sequence in a different location or with a different name, click on File/Save As.

The Save As dialogue box will appear prompting you to enter a new drive, folder, file name and which images in the sequence to save.

Click on Save to save your image or the Cancel button to abandon the changes and revert to the main image window.

Exporting an image to DIB, TIFF, FITS, Prisma or Grams format

To save the current selected image as 8-bit DIB (Windows Bitmap), 8-bit TIFF or 16-bit TIFF, FITS, Imager2, Prisma, Spectacle or Grams format, go to the Main menu and click on File/Export to view the Export As dialogue box.

NOTE: These images may not be imported or opened by PixCel. If you want to view the image in the future with PixCel you must save a copy using the File/Save facility.

Select a folder to save into and enter a filename.

Choose the required frames from the Frames selection options. NOTE: the frame selection entry becomes red if an invalid range is selected.

Choose the print area using the Pixel selection i.e. whole of the image or a rectangle selection.

Check or uncheck either 8-bit DIB, 8-bit TIFF, 16-bit TIFF, FITS, Prisma, Spectacle or Grams options as appropriate.

Click on the Save button to save the image or Cancel to abandon the settings and return to the main window.

NOTE: Export can also be accessed by clicking the right hand mouse button in the Image window to bring up the Zoom in/out option box or by clicking on File in the main menu and selecting Export...

NOTE: When exporting an 8-bit image format, the exported image has the same grey level range as the displayed image.

NOTE: The TIM option is used to export image data in a form that can be read in by Life Science Resources’ Merlin software (a software package for High Speed Fluorescence Ratio Imaging). When a sequence is exported in this format, the images are stored one per file in a directory name based on a user name, experiment and a selected hard disk drive.

For example if the user is IMAGES and the experiment is SAMPLE, the files will be stored in the directory [DRIVE LETTER]:\IMAGES\SAMPLE. Each file will be named IMAGSAMP.X, where X is a hexadecimal number representing the image’s position in the sequence. A file IMAGSAM.TIM will also be written to the directory, which contains the timing information for each frame.

Saving a sequence

Select File/Save from the main menu, Ctrl+S, or use the Save icon on the software toolbar.

If saving for the first time, the Save As dialogue box will appear. Select or enter a file name and destination on disk and enter details together with the frame selection details.

Click the Save button. The image sequence will be saved to the selected location. Click on the cancel button to cancel the changes and revert to the main window.

If subsequently saving by clicking the save icon or selecting File/Save, the image saved previously will be overwritten.

Open an existing sequence

Select File/Open from the main menu, Ctrl+O, or use the Open icon on the software toolbar. The Open dialogue box will appear. Select a file/image from the required location, then press the Open button to open the file/image or Cancel button to revert to the main window.

Viewing and modifying the current selections

Select the Plot view from the View menu or use the [image] icon on the view controls toolbar

The plot is made from the pixels that are under the line selection.

Use the First/Last/Next/Previous/Frame#/Play and Stop buttons on the view and navigation toolbar to move from one image to another in the sequence. The plot is updated with the pixels from the new image under the line selection.

Use the Copy option from the Edit menu or the Copy icon to copy the plot to the clipboard as a Windows Metafile and as Comma Separated Values (CSV text format). Alternatively, click the right hand mouse button to access a menu where the option of Copy to clipboard is also available.

Select Print from the file menu, the Print icon, or via the zoom in/out option box to print the plot. The plot can be previewed before printing by using the Print Preview menu option. The page can also be changed from landscape to portrait, letter to A4 etc, using the Page Setup option from the same menu.

Mapping controls are disabled in this view.

Select the Histogram view from the View menu or use the [image] icon on the view controls toolbar

The histogram view is made from the pixels that are contained by the rectangle selection.

Use the First/Last/Next/Previous/Frame#/Play and Stop buttons on the view and navigation toolbar to move from one image to another in the sequence. The histogram view is updated with the pixels from the new image that are contained by the rectangle selection.

Use the Copy option from the Edit menu, or the Copy icon to copy the plot to the clipboard as a Windows Metafile or as Comma Separated Values (CSV text format). Alternatively, click the right hand mouse button to access a menu where the option of Copy to clipboard is also available.

Select Print from the file menu, the Print icon or via the zoom in/out option box to print the plot. The histogram can be pre-viewed before printing by using the Print Preview menu option. The page can also be changed from landscape to portrait, letter to A4 etc, using the Page Setup option from the same menu.

Statistics and Mapping controls are disabled in this view.

Select the Pixel Value view from the View menu or use the [image] icon on the view controls toolbar

The pixel view is made from the pixels that are contained by the rectangle selection. It is shown in the form of a table.

Use the First/Last/Next/Previous/Frame #/Play and Stop buttons on the view and navigation toolbar to move from one image to another in the sequence. The pixel view is updated with the pixels from the new image that are contained by the rectangle selection. The minimum pixel value(s) are highlighted in blue and the maximum in red.

Use the Copy option from the Edit menu or the Copy icon to copy the pixel values to the clipboard as Comma Separated Values (CSV text format). Alternatively, click the right hand mouse button to access a menu where the option of Copy to clipboard is also available.

Select Print from the file menu, the Print icon or via the zoom in/out option box to print the plot. The pixel values can be previewed before printing by using the Print Preview menu option. The page can also be changed from landscape to portrait, letter to A4 etc, using the Page Setup option from the same menu.

NOTE: only the pixels in view are printed.

It is advisable to select the minimum area of specific interest and capture the rectangle before copying or printing as the amount of information in a full screen grab being copied to the clipboard will cause extended delay in copying or printing.

Statistics and Mapping controls are disabled in this view.

Select the User Value view from the View menu or use the [image] icon on the view controls toolbar

Parameters used to capture a sequence are displayed using this feature. They include all the camera, sequence and focusing parameters i.e.

Exposure duration

CCD and Sink Temperatures

Pixel rate and sensitivity

CCD Properties: Size, Active area, Serial clocking, Parallel clocking, Clock & Bias voltage settings, Current temperature

CCD Readout: Exposure time, Regions, Binning factors, : Readout rate & Sensitivity

Head control: Heater setting, Grounding, Shutter type/ Shutter pulses

Sequencing details: Triggering, Pre-flushing, Readout, Looping

This information may not be edited by the user. It can, however, can be printed and faxed to the Hotline for diagnostic purposes should assistance be required.


Chapter 6 - Miscellaneous

Chapter 6 : Miscellaneous

Key Features

Primary product - the UltraPix range of cameras with host based memory storage

Operating System - Windows 95 compatible (NT and 2000 slowscan only).

Full 32 Bit Software

Image Capture - Single and multiple image capture, flatfield and black level calibration, sub area readout for singular and rectangle selection, full control of binning, live display for focusing, spacebar or TTL input triggering and variable readout speed and sensitivity.

Multiple Views - Image display integrated with zooming, pan scrolling, contrast and brightness control, auto-scaling, colour lookup tables, linear, greyscale, cursor position and pixel intensity; line plots, histogram plot, spreadsheets of pixel values and display of acquisition parameters.

Multiple Image Navigation – Moving quickly to first/next/previous image in the sequence, playback a movie at variable speed, looped playback and the facility to select an image from the sequence.

Printing - Any Windows compatible printer.

Export - Tiff 8 & 16 Bit, Windows Bitmap 8 Bit, RAW, FITS, Prisma, Spectacle or Grams files or CSV and Bitmaps via the Windows clipboard.

Calibration - Shade correction and dark current subtraction.

Measurement - Statistics (maximum, minimum, mean, standard deviation, enclosing rectangle, skew, kurtosis, mode), disk storage (with acquisition parameters and single sequence), camera diagnostics (including CCD/Sink temperatures, camera voltages and internal camera status).

Documentation - User Manual and On-line help

Glossary

Binning Charge from each pixel is added (in both vertical and horizontal directions) to its neighbouring pixel. This can be done many times in each direction before reading out the charge from the CCD. The binning is a noiseless addition that occurs at the expense of image resolution.

Black level reference Black level reference is defined as an image taken in the absence of light. This will thus show the dark current generated by the CCD.

Clocking A function of moving the charge within the CCD.

Parallel – Process of clocking the parallel clock to move the image towards the output register. This direction is usually the vertical direction on the PixCel image display.

Serial – Moves the charge in the output register towards the output transistor. This direction is usually the horizontal direction on the PixCel image display.

Line selection The currently selected line on the image. (See Chapter 2 Operating the software, line selection).

Rectangle selection The current rectangle selection on the image. (See Chapter 2 Operating the software, rectangle selection).

CSV Comma Separated Values (CSV) is a text format for exporting data to many other software packages such as Excel.

Dark subtraction Dark Subtraction corrects for dark current in the CCD by taking a dark image and subtracting it from other images in a sequence.

Flatfield reference Flatfield reference corrects for variation in CCD sensitivity or illumination across the image.

Focusing Adjusting the image for maximum sharpness.

Histogram A Histogram is a graphical representation of grey level (pixel intensity) against frequency (number of occurrences of grey levels).

Looping Looping is repeating image sequences.

Main menu toolbar The Main menu toolbar allows access to all the features of the software.

Mapping Control of the brightness and contrast of the displayed image.

Pixel values A spreadsheet representation of data in the image.

Plot A plot is a graphical representation of the grey level (pixel intensity) along the current line selection.

Pre flushing Pre flushing removes excess charge in the CCD which may have built up whilst the camera was not in use, prior to another image being taken.

Readout rate The readout rate is the rate at which the camera controller reads each pixel of the CCD.

Sensitivity Sensitivity is the gain of the electronics. It is the sensitivity to signal and can be adjusted to suit the signal levels i.e. low signal may require an increase in sensitivity and high signal levels and may require a decrease in sensitivity. However, PerkinElmer Lifes Sciences cameras have a very wide dynamic range.

Software toolbar The Software toolbar is located at the top of the screen containing a range of icons to manipulate the image.

Status bar The status bar is located at the bottom of the screen and holds information regarding the acquiring of the image.

User values User Values are the parameters used to acquire the sequence of images and includes the camera control monitored voltages.

View & navigation toolbar The View and navigation toolbar is located at the bottom of the screen. It is used for quick selection of the type of display (histogram, line plot etc.) and locating frames within an image sequence.


Appendix A - Specification

Appendix A : Specification

The PixCel software will interact with the following camera systems :

UltraPix SI, SK, MX, FE, FK, FKI and NeuroCam series of cameras.

Antares and Capella custom cameras.

Minimum requirements of your computer system

The performance of your camera system depends greatly on the configuration and specification of your PC. The following is the MINIMUM specification required for successful operation:

64 Mbytes of RAM (more for larger CCDs and-or many images to be held simultaneously in memory).

IBM or 100% compatible 233 MHz Pentium II PC or faster.

Hard disk with at least 100 Mbytes of free space (a lot more if you are storing images on this disk).

Microsoft Windows 95, NT or 2000 fully installed.

Microsoft Internet Explorer 4.0 or later installed.

3.5" Floppy disk drive.

SVGA graphics card and monitor with 1024 x 768 resolution and 256 colours.

One vacant IBM-PC, ISA type interface card slot for SI and SK systems to accommodate the AT link card.

OR

Two vacant IBM-PC slots, one ISA interface card slot to accommodate the AT Link and one PCI interface card slot for the PCI interface card (MX, FE, FK, FKI and NeuroCam systems only).

Recommended PC configuration

We strongly recommend you select a PC configuration significantly more powerful than the stated minimum.

A Pentium processor based CPU with a fast, high capacity disk drive and 32-64 Mbytes of system memory, will have a dramatic effect on performance for both the camera and the software.


Appendix B - Using TWAIN with pixcel software

Appendix B : Using TWAIN with PixCel software

This release of the PixCel software has TWAIN support. This allows programs, such as Media Cybernetics Image Pro which support TWAIN, to capture single images using the PixCel software. This greatly simplifies the task of transferring information between programs, removing the need to capture an image, export it to disk and then read it into an image processing/analysis program.

Each program supporting image acquisition via the TWAIN interface will provide two menu options. The first enables which scanner/camera to be selected to collect images. This menu option is normally labelled "Select Source&ldots;". The following dialog lists the available options. Select "PixCel TWAIN Data Source".

The second menu option is called "Acquire&ldots;" and once selected will invoke the scanner/camera controls. In this case the PixCel software will be started. If the PixCel software is already running it will make it the top most window. The PixCel software is then used to capture one or more images in the normal way as detailed in the rest of the manual. Once the desired image has been captured it should be the selected and visible image within PixCel. The "TWAIN Transfer" [image] button should then be pressed to transfer the image.

The PixCel TWAIN interface is capable of transferring all of the pixel information to a package capable of dealing with 16 bit data. However there are very few of these packages available on the market today. If the package is unable to accept 16 bit data, an 8-bit image is transferred instead. This image will be very similar to the viewed image and therefore will reflect the current contrast and brightness settings. Using the contrast and brightness controls allows a part of the full 16-bit data range to be selected and then mapped to 8 bits before transfer.


Appendix C - Technical support and warranty

Appendix C : Technical support & warranty

Your imaging system comes with a 1 year hardware parts and labour warranty and three months software warranty, complete with free use of the technical support hotline, from the date of first use of the system. The warranty period (hardware and software) including the hotline service may be extended by contacting either PerkinElmer Life Sciences or your local distributor.

Hardware warranty

In the unlikely event of malfunction during the warranty period directly attributable to faulty materials and/or workmanship, PerkinElmer Life Sciences will either replace or repair, at our discretion, the faulty item. We shall have no obligation under this warranty if the product has been misused, carelessly handled, defaced or repaired without prior authorisation from PerkinELmer Life Sciences. The product should be returned to PerkinElmer Life Sciences, Cambridge, England or an authorised local distributor, only after a Return Authorisation Number has been obtained from the technical support hotline. Proof of purchase must be provided and the product should be returned in its original or adequate packaging. Shipping charges are to be prepaid or the purchaser assumes the risk of loss or damage in transit. PerkinElmer Life Sciences will make the final determination as to the existence and the cause of any alleged defect.

NOTE : the CCD detector element is not covered by the hardware warranty.

Software warranty and technical support hotline

The technical support hotline will provide software upgrades and advice about PerkinElmer Life Sciences' systems free of charge during the warranty period, including extended warranty. By utilising the Hotline (using either the telephone, fax or e-mail) you have the opportunity to optimise the operation of your system for your particular application. If a question cannot be answered immediately, due to the complexity of the enquiry for instance, further assistance will be provided with 24 hours of the enquiry being logged.

When contacting the technical support hotline remember to have your system serial number at hand. This can be found on the system hardware, the software disks and available on-line in Help.

NOTE : The technical support hotline is an advisory service, not a consultancy, and PerkinElmer Life Sciences reserve the right to limit advice to users at its discretion.


Appendix D - Troubleshooting Maintenance

Appendix D : Troubleshooting & Maintenance

Troubleshooting

On Screen Message

Meaning

"Sync failure on blocksize" or"Sync failure on data"

The software was unable to read pixel data from the camera. Ensure the camera is switched on and connected. Try switching the camera off and on again and repeating the operation.

"Block size out of range" or "No room for block"

These indicate a possible synchronisation problem with the camera's software and the computer's. Try switching of the camera and repeating the operation. If the problem persists please contact the PerkinElmer Life Sciences Cambridge hotline.

"Local transputer in error" "Host transmit FIFO not empty" "Host receiver FIFO not empty"

These messages indicate possible problems with the camera interface card in the computer. They may also appear if the camera is switched off during an operation or the connecting cable has been removed.

"Unable to boot the camera" "Card not present at address xx" "Transputer in error" "Unable to install code "xx" into the camera (block x of xx)" "Failed on block n: "

These messages may appear when the camera is being initialised ready for use. They indicate a possible problem with interface card or the connecting cable. Check that the interface card is installed and set to the correct address, check the cabling and check that the camera is switched on and then retry the operation.

"Unable to read AT Link initialisation code file "xx"" "Unable to read boot code file "xx"" "Unable to read codefile "xx"" "The Occam code files in use are version xx.This software is only compatible with version xx and above"

These messages indicate that the named file cannot be found or is incompatible with this version of the PixCel software. These support files, which are used to operate the camera, should be present in the same directory as the PixCel software. If they have been accidentally deleted or corrupted then the software will have to be re-installed. You must backup the file PIXCEL.INI prior to re-installation.

"Invalid response packet" "Unable to flushmessage queue" "Unable to write message packet" "Unable to read message packet size" "Invalid message packet size xx" "Unable to read message packet data size xx" "Message packet requestxx never acknowledged by camera xx"

These indicate communication problems between the camera and the computer. This will normally only occur when the connecting cable is disconnected or the camera is switched off during an operation.

"ADC bit weight is 0" "Time constant is 0" "Programmable gain is 0" "Integration time is 0" "Adc polarity is 0" "CCD gain is 0"

These messages should never appear. If they do please contact the PerkinElmer Life Sciences Cambridge hotline. They indicate that some of the parameters used to control the camera were incorrect. However these parameters are normally checked prior to use.

"Exposure interrupted by Escape key" "Wait for trigger interrupted by Escape key"

These messages indicate that a selected function which will normally take a long time has been interrupted by pressing the "Esc" or "Escape" key on the keyboard.

"xx setting of xx not in the range xx to yy" xx setting of xx not in the selection [a, b, c ]" "xx unknown data type in cell [xx, yy, zz]" "Insufficient data for table xx" "Insufficient data for matrix xx"

These error messages indicate invalid settings in the PIXCEL.INI file. Either use the "Configuration" option from the "File" menu to re-configure the software with corrected values or exit the PixCel software, edit the PIXCEL.INI file with a text file editor to correct the values, the re-start the program.

"If the camera is still completing the last operation please wait until the status bar reports 'Ready' "

This error message will appear if you continue clicking or initiating actions before the previous action has completed. Click on OK and wait a few seconds before proceeding.

Miscellaneous problems

Solutions

Cannot see or use all Camera tab features. Software window is too large for the screen.

The screen resolution should be set to 1024x768. Change your PC screen settings in WindowsÔ 95 (Start/Settings/Control panel/Display). Maximize the size of the program window (Restore/maximise/ close toggle buttons in the top right hand corner of the screen).

Mouse cursor on the screen needs definition.

The mouse cursor can be changed to give better definition by clicking on the Windows™ 95 Start/Settings/Control Panel. Double click on Mouse and choose Pointers tab. 'Precision Select' is the default setting although we advise 'Cross_1.cur' which has better definition for the PixCel software. If 'Cross_1.cur' is not available this will be because the Mouse pointers checkbox was not selected from the 'Accessories' options when installing Windows 95. Accessories can be re-installed by using 'Add/Remove' in Start/Settings/Control Panel with the original installation disks or CD.

Maintenance

The only routine maintenance required for the camera head, is to ensure the optical path is kept clean. Under normal circumstances this will involve removing any dust on the window of the camera head with a good quality 'cotton-bud' moistened with a non-aggressive solvent such as Isopropyl alcohol.

On some heads, access to the CCD window is through the shutter on the front of the camera head. The easiest way to open the shutter is by setting a long exposure time, say 1000 seconds, and grabbing an image. When cleaning is complete the exposure can be aborted by clicking on the Stop button. No damage will be caused to the CCD by this over-exposure.

The camera head for cooled systems can lead the front window to be fractionally cooler than ambient air temperature. Under conditions of extreme humidity, condensation can form on the front window. This must be dried carefully. Moisture must not be allowed onto the shutter blades which will be damaged if operated damp.

WARNING: Three things to be careful of when carrying out this exercise.

    Only clean the front window of the camera head. Do not touch any of the CCD contacts around the edge of the device (for uncooled cameras only).
    Take care not to knock or move the shutter blades as this may cause the shutter to malfunction.
    Do not get the Isopropyl alcohol or any other liquid onto the shutter blades. They are very delicate and the liquid will cause the blades to stick together.

Any problems or queries should be directed to your local distributor or the PerkinElmer Life Sciences Cambridge Hotline on Telephone no: +44 1223 437437, Facsimile no: +44 1223 437401 or Email on hotline.cambridge@perkinelmer.com.